/*
  egavga.h - Definitions for egavga.c
  Written by Stefan Pfeiffer, DL1ELY, 940403
  Last Modification: 940911
  (C) 1994 by Stefan Pfeiffer, DL1ELY
*/

#ifndef EGAVGA_H

#define EGAVGA_H

#define NO_BLINK 0
#define BLINKING 1

extern char vga_chars[64];
extern char graphics;
extern unsigned int xmax, ymax;
extern int far EGAVGA_driver_far[];

void vga_setchars(void);
void ega_setchars(void);
void restore_vga_charset(void);
void restore_ega_charset(void);
void set_blink(char);
void get_graphics(void);
void my_gotoxy(char, char);
void def_cursor(char, char);
void patch_driver(unsigned char);

#endif

